# Udo Format Definition for Papyrus 6.0
# ====================================
# UDO ist ein Programm, welches Textdateien, die im
# Universal Document Format erstellt wurden, in das
# ASCII-,ST-Guide-, LaTeX-, Rich Text-, Pure-C-Help-,
# Manualpage-, HTML-, WinHelp-, Texinfo-, Linuxdoc-SGML-,
# LyX-,Apple-QuickView- und Turbo-Vision-Help-Format umwandeln kann. 

# Weitere Informationen sowie die aktuellen Versionen findet
# man unter http://members.aol.com/DirkHage/gt/www

# Zur Syntax usw. der tag-Dateien siehe HTML.TXT.
# UDO-Unterstuetzung ist im Moment noch sehr vorlaeufig.
# Nur der Export funktiniert brauchbar.

[MAIN]
FORMAT_FILE_TYPE=u
FORMAT_BACKUP_FILE_TYPE=ubk
FORMAT_NAME=UDO
FORMAT_DOC_NAME=UDO Hypertext (nur Export, experimentell)
FORMAT_NUMBER=2
FORMAT_MAGIC_STRING="!code"
FORMAT_LAYOUT_TEMPLATE=_html.pap
# Udo files can be in any codepage.
# By default we'll assume ISO-Latin 1
FORMAT_IMPORT_CODEPAGE=819
FORMAT_EXPORT_CODEPAGE=819
FORMAT_UNIT_MM5=
FORMAT_UNIT_DPI=96
FORMAT_UNIT_PRECISION=0

[CHARS]
TAG_START_CHAR="(!"
TAG_END_CHAR=")"
TAG_START_CHAR2="\n!"
TAG_END_CHAR2="\n"
TAG_PARAMETER_SEPARATOR=" "
TAG_ASSIGN_CHAR="="
TAG_QUOTE_CHAR=
TAG_QUOTE_CHAR2=
ESCAPED_CHAR_START="&"
ESCAPED_CHAR_END="."
END_TAG_START="e"
REMARK_START=
REMARK_END=
REMARK_LINE=\n#

[FLAGS]
IGNORE_TAG_CASE=FALSE
IGNORE_WHITE_SPACE=TRUE
INSERT_UNKNOWN_TAGS=TRUE
PREFORMATTED_SUPPORT=FALSE
HTML_ESCAPED_CHARS=FALSE
OMIT_ESCAPE_END=FALSE
EXPORT_CRLF=TRUE
BOLD_TO_STRONG=FALSE
ITALIC_TO_CITATION=FALSE
UNDERLINE_AS_STYLE=FALSE
DEFAULT_IS_BLIND_TABLE=FALSE
NBSP_IN_EMPTY_TABLE_CELLS=FALSE
OMIT_FIRST_CELL_START=TRUE
CR_AFTER_TABLE_CELL=FALSE
EXPORT_NUMBERING=TRUE
EXPORT_NUMBERING_IN_LISTS=FALSE
WRAP_LINES=TRUE
WRAP_LINES_IN_HEADINGS=FALSE
EXPORT_LABELS_BEFORE_LINE=TRUE
EXPORT_INDEX_BEFORE_LINE=TRUE
# Hack for Udo: special escapes ) -> !), ] -> !] within links/labels/index entries
UDO_ESCAPED_STRINGS=TRUE

[TAGS]
DOCTYPE_INFO=
DOCUMENT_START=#\n!code \[iso\]\n
DOCUMENT_END=#\n!end_document\n
HEADER_START=
HEADER_END=
BODY_START=
BODY_END=
TITLE_START="#\n!docinfo \[title\] "
TITLE_END=\n
LABEL_START="#\n!label %LABEL%"
LABEL_END=\n
LINK_START="#(!link \["
LINK_END="#\]\[%LABEL%\])"
INDEX_ENTRY_START="#\n!index "
INDEX_ENTRY_END=\n
INDEX_ENTRY_WITH_TEXT=
SECTION_LEFT_START=#\n!begin_flushleft\n
SECTION_LEFT_END=#\nend_flushleft\n
SECTION_CENTER_START=#\nbegin_center\n
SECTION_CENTER_END=#\n!end_center\n
SECTION_RIGHT_START=#\n!begin_flushright\n
SECTION_RIGHT_END=#\n!end_flushright\n
PARAGRAPH_START=
PARAGRAPH_END=#\n\n
HEADING1_START="#\n!node "
HEADING1_END=\n
HEADING2_START="#\n!subnode "
HEADING2_END=\n
HEADING3_START="#\n!subsubnode "
HEADING3_END=\n
HEADING4_START="#\n!subsubsubnode "
HEADING4_END=\n
BLOCKQUOTE_START=
BLOCKQUOTE_END=
ADDRESS_START=
ADDRESS_END=
PREFORMATTED_START=
PREFORMATTED_END=
LISTING_START=
LISTING_END=
STRONG=
STRONG_OFF=
EMOTIONAL=
EMOTIONAL_OFF=
CITATION=
CITATION_OFF=
VARIABLE=V
VARIABLE_OFF=v
SOURCE_CODE=
SOURCE_CODE_OFF=
EXAMPLE=
EXAMPLE_OFF=
KEYBOARD=
KEYBOARD_OFF=
DEFINITION=
DEFINITION_OFF=
TYPEWRITER=T
TYPEWRITER_OFF=t
BOLD=B
BOLD_OFF=b
ITALIC=I
ITALIC_OFF=i
UNDERLINED=U
UNDERLINED_OFF=u
OUTLINED=
OUTLINED_OFF=
SUPERSCRIPT=SUP
SUPERSCRIPT_OFF=
SUBSCRIPT=SUB
SUBSCRIPT_OFF=
ALL_OFF=
FONT_ATTRIBUTES_START=
FONT_ATTRIBUTES_END=
BULLET_LIST_START=#\n!begin_itemize\n
BULLET_LIST_END=#\n!end_itemize\n
NUMBERED_LIST_START=#\n!begin_enumerate\n
NUMBERED_LIST_END=#\n!end_enumerate\n
LIST_ITEM_START="#\n!item "
LIST_ITEM_END=
DEFINITION_LIST_START=
DEFINITION_LIST_END=
DEFINITION_TERM_START=
DEFINITION_TERM_END=
DEFINITION_START=
DEFINITION_END=
LIST_LINE_BREAK=
TABLE_START=#\n!begin_table \[\|l\|l\|\] !hline\n|#\n!begin_table\n
TABLE_END=#\n!end_table\n
TABLE_ROW_START=
TABLE_ROW_END=\n
TABLE_HEADER_CELL_START=
TABLE_HEADER_CELL_END=
TABLE_CELL_START=# !! |# !!|#!! |#!!
TABLE_CELL_END=
TABLE_CAPTION_START=
TABLE_CAPTION_END=
PARAGRAPH_BREAK=
LINE_BREAK=nl
NOBREAK_SPACE=
PIC_REFERENCE=
UNSUPPORTED_HEADER_TAGS=
UNSUPPORTED_RANGE_START=
UNSUPPORTED_RANGE_END=
UNSUPPORTED_START_TAGS=
UNSUPPORTED_END_TAGS=
IGNORED_TAGS=
UNSUPPORTED_NEUTRAL_TAGS=
EXPECTED_START_CHARS="="
DEFAULT_HEADER="#\#Erzeugt von papyrus\n\
!docinfo \[date\] (!today)\n\n\
!win_high_compression\n\n\
!begin_document\n\
!maketitle\n\
!tableofcontents\n\n"

[ESCAPES]
~=!~
2015=---
2013=--
